# EXTColorBufferHalfFloat (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTColorBufferHalfFloat

    java.lang.Object
      org.lwjgl.opengles.EXTColorBufferHalfFloat

    public final class EXTColorBufferHalfFloat

extends java.lang.Object

Field Summary
`static int` `GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT` Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static int` `GL_R16F_EXT` Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static int` `GL_RG16F_EXT` Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static int` `GL_RGB16F_EXT` Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static int` `GL_RGBA16F_EXT` Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:
`static int` `GL_UNSIGNED_NORMALIZED_EXT` Returned in <params> by GetFramebufferAttachmentParameteriv:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_RGBA16F_EXT

    public static final int GL_RGBA16F_EXT

  Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

  See Also:
    Constant Field Values

### GL_RGB16F_EXT

    public static final int GL_RGB16F_EXT

  Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

  See Also:
    Constant Field Values

### GL_RG16F_EXT

    public static final int GL_RG16F_EXT

  Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

  See Also:
    Constant Field Values

### GL_R16F_EXT

    public static final int GL_R16F_EXT

  Accepted by the <internalformat> parameter of RenderbufferStorage and RenderbufferStorageMultisampleAPPLE:

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT

    public static final int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE_EXT

  Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

  See Also:
    Constant Field Values

### GL_UNSIGNED_NORMALIZED_EXT

    public static final int GL_UNSIGNED_NORMALIZED_EXT

  Returned in <params> by GetFramebufferAttachmentParameteriv:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.